<div class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource" matSort>
    <!-- Position Column -->
    <ng-container matColumnDef="No">
      <th mat-header-cell *matHeaderCellDef> No </th>
      <td class="link" mat-cell *matCellDef="let element; let i = index;" (click)="displayInfo(element)"> {{i + 1}}
      </td>
    </ng-container>

    <!-- Position Column -->
    <ng-container matColumnDef="code">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> File </th>
      <td class="link" mat-cell *matCellDef="let element" (click)="displayInfo(element)"> {{element.code}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="employee">
      <th mat-header-cell *matHeaderCellDef> Requestor </th>
      <td mat-cell *matCellDef="let element"> {{element.employee}} </td>
    </ng-container>
    <!-- createdDate Column -->
    <ng-container matColumnDef="createdDate">
      <th mat-header-cell *matHeaderCellDef> Created Date </th>
      <td mat-cell *matCellDef="let element"> {{element.createdDate}} </td>
    </ng-container>
    <!-- modifiedDate Column -->
    <ng-container matColumnDef="modifiedDate">
      <th mat-header-cell *matHeaderCellDef> Modified Date </th>
      <td mat-cell *matCellDef="let element"> {{element.modifiedDate}} </td>
    </ng-container>
    <!-- status Column -->
    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef> Status </th>
      <td mat-cell *matCellDef="let element"> {{element.status}} </td>
    </ng-container>
    <ng-container matColumnDef="Approve/Reject">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td class="icons" mat-cell *matCellDef="let element">
        <span matTooltip="View" (click)="displayInfo(element)"><i class="fa fa-eye" aria-hidden="true"></i></span>
        <span matTooltip="Approve" (click)="updateDetails(element, 'approved')" class="approve">&#10003;</span>
        <span matTooltip="Reject" (click)="updateDetails(element, 'rejected')" class="reject">&#10005;</span>
      </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>
<div *ngIf="displayDetailedInfo">
  <app-approver-details-molecule [detailedInfo]="detailedInfo"></app-approver-details-molecule>
</div>